# Upstream has not tagged any releases
%global commit  6a14320e54e8155bad68b1523c480bed8893a8b8
%global date    20230801
%global forgeurl https://github.com/meelgroup/breakid

Name:           breakid
Version:        1.0.0
Summary:        Symmetry detecting and breaking library

%forgemeta

Release:        %autorelease
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
# Unbundle bliss, including updating from 0.73 to 0.77
Patch0:         %{name}-unbundle-bliss.patch

BuildRequires:  bliss-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
BreakID is a symmetry detecting and breaking library for SAT solvers.
It is based on Jo Devriendt's BreakID code.  It has been re-licensed by
the original author to be MIT.  All modifications by Mate Soos.

%package        devel
Summary:        Development files for breakid
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       bliss-devel%{?_isa}

%description    devel
Header files and library links for developing applications that use
breakid.

%prep
%forgeautosetup -p1

# Do not change Fedora build flags
sed -e '/-mtune/d' \
    -e '/-fno-omit-frame-pointer/d' \
    -e '/-ggdb3/d' \
    -e '/-fno-stack-protector/d' \
    -i CMakeLists.txt

# Fix installation directory
if [ "%{_lib}" != "lib" ]; then
    sed -i 's,lib\(/cmake/breakid\),%{_lib}\1,' CMakeLists.txt
fi

# Make sure the bundled bliss cannot be used
rm -fr src/bliss

# Fix end of line encoding
sed -i.orig 's/\r//' README.md
touch -r README.md.orig README.md
rm README.md.orig

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%doc README.md
%license LICENSE
%{_libdir}/libbreakid.so.1*

%files devel
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/libbreakid.so

%changelog
%autochangelog
